﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Change_Language
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            smartForm1.MainForm = this;
        }

        private void rad_KO_Click(object sender, EventArgs e)
        {
            SmartStringResource.SelectResource(Change_Language.Language.Resource_Ko.ResourceManager);
            UILanUpdate();
        }

        private void rad_EN_Click(object sender, EventArgs e)
        {
            SmartStringResource.SelectResource(Change_Language.Language.Resource_EN.ResourceManager);
            UILanUpdate();
        }

        private void rad_JP_Click(object sender, EventArgs e)
        {
            SmartStringResource.SelectResource(Change_Language.Language.Resource_JP.ResourceManager);
            UILanUpdate();
        }

        private void UILanUpdate()
        {
            smartLabel1.Text = SmartStringResource.GetString("Form1_smartLabel1");
            smartLabel2.Text = SmartStringResource.GetString("Form1_smartLabel2");
            smartButton1.ButtonText = SmartStringResource.GetString("Form1_smartButton1");
        }
    }

    public class SmartStringResource
    {
        private static System.Resources.ResourceManager g_SelectResourceManager;

        public static void SelectResource(System.Resources.ResourceManager selResource)
        {
            g_SelectResourceManager = selResource;
        }

        public static string GetString(string strName)
        {
            return g_SelectResourceManager.GetString(strName);
        }
    }
}